package com.malk.ruisi.service;

import com.alibaba.fastjson.JSONObject;

import java.io.File;
import java.util.List;
import java.util.Map;

public interface QysService {
    JSONObject createDraft(Map param)throws Exception;

    JSONObject createbyfile(Map da) throws Exception;

    JSONObject appointurl(String contractId)throws Exception;

    JSONObject createbycategory(Map data) throws Exception;

    JSONObject getDetail(String bizId, String tenantName) throws Exception;

    JSONObject send(String contractId, String tenantName) throws Exception;


    void download(String contractId, File file)throws Exception;

    JSONObject createseal(Map map) throws Exception;

    JSONObject applyseals(Map param) throws Exception;

    JSONObject signurla(Map signatory) throws Exception;
}
